<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Ellipse</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Ellipse";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.shapes</a></div>
<h2 title="Class Ellipse" class="title">Class Ellipse</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">org.david.geo.primitive.Primitive</a></li>
<li>
<ul class="inheritance">
<li><a href="Shape.html" title="class in org.david.geo.shapes">org.david.geo.shapes.Shape</a></li>
<li>
<ul class="inheritance">
<li>org.david.geo.shapes.Ellipse</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../primitive/PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Circle.html" title="class in org.david.geo.shapes">Circle</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Ellipse</span>
extends <a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></pre>
<div class="block">This class define all attributes to define an <code>Ellipse</code>
 and extends from <code>Shape</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Ellipse</a></span>()</code></th>
<td class="colLast">
<div class="block">default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.style.Style,org.david.geo.shapes.Point,int,int)">Ellipse</a></span>&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
       <a href="Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;op,
       int&nbsp;w,
       int&nbsp;h)</code></th>
<td class="colLast">
<div class="block">create an ellipse with full arguments.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#draw(java.awt.Graphics)">draw</a></span>&#8203;(java.awt.Graphics&nbsp;g)</code></th>
<td class="colLast">
<div class="block">draw an ellipse in a graphic.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getBigAxis()">getBigAxis</a></span>()</code></th>
<td class="colLast">
<div class="block">get big axis of the ellipse.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeter()">getPerimeter</a></span>()</code></th>
<td class="colLast">
<div class="block">compute the perimeter of an ellipse.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSmallAxis()">getSmallAxis</a></span>()</code></th>
<td class="colLast">
<div class="block">get small axis of the ellipse.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSurface()">getSurface</a></span>()</code></th>
<td class="colLast">
<div class="block">compute the surface of an ellipse.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBigAxis(int)">setBigAxis</a></span>&#8203;(int&nbsp;bigAxisWanted)</code></th>
<td class="colLast">
<div class="block">set the big axis of the ellipse.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setBoundingBox(int,int)">setBoundingBox</a></span>&#8203;(int&nbsp;widthBB,
              int&nbsp;heightBB)</code></th>
<td class="colLast">
<div class="block">set the bounding box of the Ellipse.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRealCoordinates()">setRealCoordinates</a></span>()</code></th>
<td class="colLast">
<div class="block">set real coordinate for an origin point given.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSmallAxis(int)">setSmallAxis</a></span>&#8203;(int&nbsp;smallAxisWanted)</code></th>
<td class="colLast">
<div class="block">set the samll axis of the ellipse.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.shapes.Shape">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.shapes.<a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></h3>
<code><a href="Shape.html#fillAndDraw(java.awt.Graphics2D,java.awt.Shape)">fillAndDraw</a>, <a href="Shape.html#getOrigin()">getOrigin</a>, <a href="Shape.html#setOrigin(org.david.geo.shapes.Point)">setOrigin</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.primitive.Primitive">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.primitive.<a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></h3>
<code><a href="../primitive/Primitive.html#getStyle()">getStyle</a>, <a href="../primitive/Primitive.html#getTransform()">getTransform</a>, <a href="../primitive/Primitive.html#setStyle(org.david.geo.style.Style)">setStyle</a>, <a href="../primitive/Primitive.html#setTransform(org.david.geo.transform.Transform)">setTransform</a>, <a href="../primitive/Primitive.html#transform(java.awt.Graphics2D)">transform</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(org.david.geo.style.Style,org.david.geo.shapes.Point,int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Ellipse</h4>
<pre>public&nbsp;Ellipse&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
               <a href="Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;op,
               int&nbsp;w,
               int&nbsp;h)</pre>
<div class="block">create an ellipse with full arguments.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - style</dd>
<dd><code>op</code> - origin point</dd>
<dd><code>w</code> - width</dd>
<dd><code>h</code> - height</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Ellipse</h4>
<pre>public&nbsp;Ellipse()</pre>
<div class="block">default constructor.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getSmallAxis()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSmallAxis</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getSmallAxis()</pre>
<div class="block">get small axis of the ellipse.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>small axis of the ellipse</dd>
</dl>
</li>
</ul>
<a id="getBigAxis()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBigAxis</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getBigAxis()</pre>
<div class="block">get big axis of the ellipse.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>big axis of the ellipse</dd>
</dl>
</li>
</ul>
<a id="setSmallAxis(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSmallAxis</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSmallAxis&#8203;(int&nbsp;smallAxisWanted)</pre>
<div class="block">set the samll axis of the ellipse.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>smallAxisWanted</code> - small axis of the ellipse</dd>
</dl>
</li>
</ul>
<a id="setBigAxis(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBigAxis</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBigAxis&#8203;(int&nbsp;bigAxisWanted)</pre>
<div class="block">set the big axis of the ellipse.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>bigAxisWanted</code> - big axis value</dd>
</dl>
</li>
</ul>
<a id="getPerimeter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeter</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getPerimeter()</pre>
<div class="block">compute the perimeter of an ellipse.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Shape.html#getPerimeter()">getPerimeter</a></code>&nbsp;in class&nbsp;<code><a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>computed perimeter</dd>
</dl>
</li>
</ul>
<a id="getSurface()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSurface</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getSurface()</pre>
<div class="block">compute the surface of an ellipse.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Shape.html#getSurface()">getSurface</a></code>&nbsp;in class&nbsp;<code><a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>computed surface</dd>
</dl>
</li>
</ul>
<a id="setBoundingBox(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBoundingBox</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setBoundingBox&#8203;(int&nbsp;widthBB,
                           int&nbsp;heightBB)</pre>
<div class="block">set the bounding box of the Ellipse.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="Shape.html#setBoundingBox(int,int)">setBoundingBox</a></code>&nbsp;in class&nbsp;<code><a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>widthBB</code> - width of the bounding box</dd>
<dd><code>heightBB</code> - height of the bounding box</dd>
</dl>
</li>
</ul>
<a id="draw(java.awt.Graphics)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>draw</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;draw&#8203;(java.awt.Graphics&nbsp;g)</pre>
<div class="block">draw an ellipse in a graphic.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - graphic component to draw the ellipse.</dd>
</dl>
</li>
</ul>
<a id="setRealCoordinates()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setRealCoordinates</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRealCoordinates()</pre>
<div class="block">set real coordinate for an origin point given.

 the origin point given is the real center of the circle
 the real point is the top-left corner point</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
